omni.isaac.orbit.compat
=======================

.. warning::

   This module is deprecated and will be removed in a future release. Please use
   the following modules instead:

   * :mod:`omni.isaac.orbit.markers`
   * :mod:`omni.isaac.orbit.sensors`
   * :mod:`omni.isaac.orbit.managers`
   * :mod:`omni.isaac.orbit.sim`

Markers
-------

.. automodule:: omni.isaac.orbit.compat.markers
   :members:
   :undoc-members:
   :show-inheritance:

Sensor Base
-----------

.. automodule:: omni.isaac.orbit.compat.sensors.sensor_base
   :members:
   :undoc-members:
   :show-inheritance:

Camera
------

.. autoclass:: omni.isaac.orbit.compat.sensors.camera.camera.Camera
   :members:
   :undoc-members:
   :show-inheritance:
   :noindex:

Data
^^^^

.. autoclass:: omni.isaac.orbit.compat.sensors.camera.camera.CameraData
   :members:
   :undoc-members:
   :show-inheritance:
   :noindex:

Configuration
^^^^^^^^^^^^^

.. automodule:: omni.isaac.orbit.sensors.camera.camera_cfg
   :members:
   :undoc-members:
   :show-inheritance:
   :noindex:

Utilities
^^^^^^^^^

.. automodule:: omni.isaac.orbit.sensors.camera.utils
   :members:
   :undoc-members:
   :show-inheritance:
   :noindex:


Height Scanner
--------------

.. autoclass:: omni.isaac.orbit.compat.sensors.height_scanner.height_scanner.HeightScanner
   :members:
   :undoc-members:
   :show-inheritance:

Data
^^^^

.. autoclass:: omni.isaac.orbit.compat.sensors.height_scanner.height_scanner.HeightScannerData
   :members:
   :undoc-members:
   :show-inheritance:

Configuration
^^^^^^^^^^^^^

.. automodule:: omni.isaac.orbit.compat.sensors.height_scanner.height_scanner_cfg
   :members:
   :undoc-members:
   :show-inheritance:

Utilities
^^^^^^^^^

.. automodule:: omni.isaac.orbit.compat.sensors.height_scanner.utils
   :members:
   :undoc-members:
   :show-inheritance:


MDP Managers
------------

.. automodule:: omni.isaac.orbit.compat.utils.mdp
   :members:
   :undoc-members:
   :show-inheritance:

Kit Utilities
-------------

.. automodule:: omni.isaac.orbit.compat.utils.kit
   :members:
   :undoc-members:
   :show-inheritance:
